import mods.zensummoning.SummoningDirector;
import mods.zensummoning.SummoningAttempt;
import mods.zensummoning.SummoningInfo;
import mods.zensummoning.MobInfo;

val summoningAltar = <item:zensummoning:altar>;
val blackstone = <tag:items:forge:blackstone>;
val runesmithHammer = <item:mna:runesmith_hammer>;
val runesmithChisel = <item:mna:runesmith_chisel>;
val bucketBlood = <item:evilcraft:bucket_blood>;
val liver = <item:werewolves:liver>;
val heart = <item:reliquary:zombie_heart>;
val rottenFlesh = <item:minecraft:rotten_flesh>;
val humanFlesh = <item:evilcraft:flesh_humanoid>;
val slimeBall = <item:minecraft:slime_ball>;
val mimicream = <item:alexsmobs:mimicream>;
val vinteumDust = <item:mna:vinteum_dust>;
val rawPorkchop = <item:minecraft:porkchop>;
val rawChicken = <item:minecraft:chicken>;
val ghastTear = <item:minecraft:ghast_tear>;
val leather = <item:minecraft:leather>;
val soulSand = <item:minecraft:soul_sand>;
val tameApple = <item:player_companions:tame_apple>;
val tameBone = <item:player_companions:tame_bone>;
val tameCake = <item:player_companions:tame_cake>;
val tameCarrot = <item:player_companions:tame_carrot>;
val tameHoneycomb = <item:player_companions:tame_honeycomb>;
val tameRawMutton = <item:player_companions:tame_raw_mutton>;
val tameSeagrass = <item:player_companions:tame_seagrass>;
val tameBerries = <item:player_companions:tame_sweet_berries>;
val tameSeeds = <item:player_companions:tame_wheat_seeds>;
val blank = <item:minecraft:air>;

craftingTable.addShaped("zen_summoning", summoningAltar, [
	[runesmithChisel, blank, runesmithHammer],
	[blackstone, blackstone, blackstone]
]);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameBerries)
        .setReagents([bucketBlood, liver, heart, mimicream])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:dobutsu>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameCake)
        .setReagents([bucketBlood, liver, heart, vinteumDust])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:fairy>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameHoneycomb)
        .setReagents([bucketBlood, rottenFlesh])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:firefly>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameBerries)
        .setReagents([bucketBlood, liver, heart, rottenFlesh])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:lizard>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameCarrot)
        .setReagents([bucketBlood, liver, heart, rawPorkchop])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:pig>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameRawMutton)
        .setReagents([bucketBlood, liver, heart, rottenFlesh])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:raptor>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameSeeds)
        .setReagents([bucketBlood, liver, heart, rawChicken])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:rooster>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameApple)
        .setReagents([bucketBlood, liver, heart, humanFlesh])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:samurai>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameBone)
        .setReagents([bucketBlood, ghastTear, heart, soulSand])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:small_ghast>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameApple)
        .setReagents([slimeBall, slimeBall, slimeBall, slimeBall])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:small_slime>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameSeagrass)
        .setReagents([bucketBlood, liver, heart, slimeBall])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:snail>)
        )
);

SummoningDirector.addSummonInfo(
    SummoningInfo.create()
        .setCatalyst(tameBone)
        .setReagents([bucketBlood, liver, heart, leather])
        .addMob(MobInfo.create()
            .setMob(<entityType:player_companions:welsh_corgi>)
        )
);
